Subject: PMP> RE: OID Registrations

From: "McDonald, Ira" <[email-masked]>
Date: Fri, 15 Apr 2005 13:59:23 -0700

Hi,
 
Right, so 2699.1.3 woul.d presumably be assigned to the Counter MIB (the
only
other MIB we're currently working on).
 
It would be good to register both IPP (IETF RFC 2910/2911) and PSI (PWG
5104.2)
in the Protocols section.  
 
I would suggest adding a new section (but not under Protocols) for LDAP
attributes 
and datatypes (which MUST have globally unique OIDs over the wire - even in
string 
encoding, they send the dotted decimal OIDs rather than attribute names or
datatype 
names).  We used IBM's LDAP arc for the LDAP Printer Schema (RFC 3712), but
it
would have been helpful (for stability through drafts) to have used the
PWG's arc.
 
Cheers,
- Ira
 
PS - I seriously suggest that we create a directory '/pub/pwg/registrations'
or '/pub/pwg/assignments' (like IANA's root) that contains files and
subdirectories
for any and all PWG-approved registrations.  I prefer it beside 'general'
and
'standards' and 'candidates' - it's the right level of visibility to the
casual FTP
browser.

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked] 

-----Original Message-----
From: Bergman, Ron [mailto:[email-masked]]
Sent: Friday, April 15, 2005 11:52 AM
To: McDonald, Ira; [email-masked]
Cc: Harry Lewis (E-mail); [email-masked]
Subject: RE: OID Registrations

Ira,
 
Note that Don's proposal was constructed primarily of examples.  The only
real assignment at that time
was 2699.1.1 to the Job MIB.  His example of 2699.1.1.1 and 2699.1.1.2 were
just examples as to how
the Job MIB could use the assignment.  As I explained in the "actual current
assignments", the usage
in the MIB was somewhat different.
 
The Protocols arc was reserved in case an OID was ever needed for PWG
protocols, such as IPP.  As
you pointed out, this has not been used.  It may be a good idea to add IPP
to the Protocols registration
section.  I don't recall if this was ever a formal proposal or just another
example.  So the assignment
tree would then be:
 
......2699.1........ MIBS
..... 2699.1.1....... Job Monitoring MIB  (jobMonMIB, RFC 2707)
..... 2699.1.2....... Port Monitor MIB  (ppmMIB, TBA)
..... 2699.1.3....... (TBA)
......2699.2........ PROTOCOLS
..... 2699.2.1....... Internet Printing Protocol (IPP, RFC 2910, 2911)
..... 2699.2.1.1 ..... IPP Operations
..... 2699.2.1.2 ..... IPP Attributes
..... 2699.2.2....... (TBA)
..... 2699.3....... (TBA)

I am sure that Jerry will take the initiative, when he returns from Japan,
to make this information available
in an obvious place on the PWG FTP site.  (He indicated in the call that it
was part of his task as secretary.)
 
    Ron

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Friday, April 15, 2005 8:20 AM
To: Bergman, Ron; [email-masked]
Cc: Harry Lewis (E-mail); McDonald, Ira; [email-masked]
Subject: RE: OID Registrations

Hi Ron,
 
Glad you could find Don's email.  I spent a long time searching the PWG
server
in HTTP and FTP without finding anything yesterday.
 
By the way, Don's original proposal that put Job MIB down two-levels was
formally
invalid.  When the IETF designates an arc for an enterprise (e.g.,
'pwg(2699)),
an immediate subordinate arc must contains MIB module registrations
(remember
the parent arc belongs to the IETF, who get to make the MIB rules).
 
NONE of the other uses (Protocols, IPP, etc.) have ever materialized.
 
The eventual OID registrations document SHOULD be in plaintext and stored
in 'pub/pwg/general/registrations' (or some similarly obvious sub-directory
of
'pub/pwg/general'.
 
Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked] 

-----Original Message-----
From: Bergman, Ron [mailto:[email-masked]]
Sent: Thursday, April 14, 2005 2:25 PM
To: [email-masked]
Cc: Harry Lewis (E-mail); Ira McDonald (E-mail 3); [email-masked]
Subject: OID Registrations

Jerry, 

I found the Email from Don with the OID allocation proposal but I cannot 
find in any of the minutes where it was approved and who was to create 
the registration document.  I recall it being discussed in a meeting but 
do not remember if anyone was assigned to followup. 

From Don's email in the JMP archives dated 14 Nov 1997, subject: 
"Job MIB - trials and tribulations" 

To be consistant, we might even want to do something like: 
......2699.1........ MIBS
..... 2699.1.1.1...... Job Mib
..... 2699.1.1.2 ..... Future Job Mib extensions
..... 2699.1.2.1 ..... Finisher Mib
..... 2699.1.2.2 ..... Finisher Mib extensions
..... 2699.1.3.1 ..... Hey, how about... Printer Mib
..... 2699.1.3.2 ..... Printer MIB extensions
..... 2699.1.3.2 ..... Printer MIB extensions
......2699.2........ PROTOCOLS
......2699.2.1...... IPP
..... 2699.2.1.1 ..... IPP Operations (as suggested by someone, below)
..... 2699.2.1.2 ..... IPP Attributes
......2699.2.2....... Some Other Protocol
......2699.3........ SOMETHING_ELSE_BESIDES_MIBS_AND_PROTOCOLS 
The actual current official assignments are: 
......2699.1........ MIBS
..... 2699.1.1....... jobMonMIB
..... 2699.1.1.1...... jobmonMIBObjects
..... 2699.1.1.2 ..... jobmonMIBNotifications
..... 2699.1.1.2 ..... jobmonMIBConformance
..... 2699.1.2....... Port Monitor MIB
......2699.2........ PROTOCOLS

where the third level is assigned by the project, not the PWG. 

So the present PWG OID assignment tree is: 

......2699.1........ MIBS
..... 2699.1.1....... Job Monitoring MIB  (jobMonMIB, RFC 2707)
..... 2699.1.2....... Port Monitor MIB  (ppmMIB, TBA)
..... 2699.1.3....... (TBA)
......2699.2........ PROTOCOLS
..... 2699.2.2....... (TBA)
..... 2699.3....... (TBA)

Now, all we need is a home for this information. 

        Ron